summaryrefslogtreecommitdiffstats
path: root/xorg
diff options
context:
space:
mode:
authorJay Sorg <jay.sorg@gmail.com>2013-03-18 08:22:35 -0700
committerJay Sorg <jay.sorg@gmail.com>2013-03-18 08:22:35 -0700
commit26f4502ebfa857e0dd3382c53b0fdbea13c635b2 (patch)
treefe6778cc07e6d2b483f01d2e7d0440868d3262cb /xorg
parent39a828d52f7870c4b6cae93c8462098ec1ee42a6 (diff)
downloadxrdp-proprietary-26f4502ebfa857e0dd3382c53b0fdbea13c635b2.tar.gz
xrdp-proprietary-26f4502ebfa857e0dd3382c53b0fdbea13c635b2.zip
X11rdp: build fix from kyytaM
Diffstat (limited to 'xorg')
-rwxr-xr-xxorg/X11R7.6/buildx.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/xorg/X11R7.6/buildx.sh b/xorg/X11R7.6/buildx.sh
index 5a593f1a..6108707a 100755
--- a/xorg/X11R7.6/buildx.sh
+++ b/xorg/X11R7.6/buildx.sh
@@ -35,7 +35,23 @@ download_file()
cd downloads
echo "downloading file $file"
- if [ "$file" = "pixman-0.15.20.tar.bz2" ]; then
+
+ if [ "$file" = "libpthread-stubs-0.3.tar.bz2" ]; then
+ wget -cq http://xcb.freedesktop.org/dist/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "libxcb-1.7.tar.bz2" ]; then
+ wget -cq http://xcb.freedesktop.org/dist/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "xcb-proto-1.6.tar.bz2" ]; then
+ wget -cq http://xcb.freedesktop.org/dist/$file
+ status=$?
+ cd ..
+ return $status
+ elif [ "$file" = "pixman-0.15.20.tar.bz2" ]; then
wget -cq http://ftp.x.org/pub/individual/lib/$file
status=$?
cd ..